Name:           maven-plugin-testing
Version:        3.3.0
Release:        15
Summary:        Maven Plugin Testing
License:        ASL 2.0
URL:            http://maven.apache.org/plugin-testing/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugin-testing/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0001:      0001-Port-to-plexus-utils-3.0.21.patch
Patch0002:      0002-Port-to-current-maven-artifact.patch
BuildArch:      noarch

BuildRequires:  maven-local mvn(commons-io:commons-io) mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-aether-provider) mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin) mvn(org.apache.maven.shared:maven-invoker)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-file) mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata) mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.easymock:easymock)

%description
The Maven Plugin Testing Modules contains the necessary tools to be able to test Maven Plugins.

%package harness
Summary:        Mechanism for managing tests on Mojo
Obsoletes:      maven-shared-plugin-testing-harness <= 0:1.2

%description harness
This package provides mechanisms to manage tests on Mojo.

%package tools
Summary:        Tools for Maven Plugin Testing
Obsoletes: maven-shared-plugin-testing-tools <= 0:%{version}-%{release}

%description tools
Tools for Maven Plugin Testing.

%package -n maven-test-tools
Summary:        Tools for Maven Testing
Obsoletes: maven-shared-test-tools <= 0:%{version}-%{release}

%description -n maven-test-tools
Framework to test Maven Plugins with Easymock objects.

%package help
Summary:        Help documentation for maven-plugin-testing
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
Help documentation for maven-plugin-testing.

%prep
%autosetup -n %{name}-%{version} -p1

%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin

sed -i -e "s/MockControl/IMocksControl/g" \
maven-test-tools/src/main/java/org/apache/maven/shared/tools/easymock/MockManager.java

rm maven-plugin-testing-tools/src/test/java/org/apache/maven/shared/test/plugin/ProjectToolTest.java

%mvn_alias : org.apache.maven.shared:

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-maven-plugin-testing
%doc NOTICE LICENSE

%files harness -f .mfiles-maven-plugin-testing-harness

%files tools -f .mfiles-maven-plugin-testing-tools

%files -n maven-test-tools -f .mfiles-maven-test-tools

%files help -f .mfiles-javadoc

%changelog
* Mon Nov 14 2022 wulei <wulei80@h-partners.com> - 3.3.0-15
- Modifying the source code package address

* Fri Dec 13 2019 daiqianwen <daiqianwen@huawei.com> - 3.3.0-14
- Package init

